import { defineComponent as h, createElementBlock as y, openBlock as i, Fragment as B, createVNode as m, createBlock as f, createCommentVNode as c, withCtx as t, createTextVNode as r } from "vue";
import o from "./ParameterList.vue.js";
import q from "./RequestBody.vue.js";
const C = /* @__PURE__ */ h({
  __name: "OperationParameters",
  props: {
    parameters: { default: () => [] },
    requestBody: {},
    schemas: {}
  },
  emits: ["update:modelValue"],
  setup(p, { emit: d }) {
    const l = d, n = (s) => {
      l("update:modelValue", s);
    }, a = (s) => {
      var e;
      return ((e = p.parameters) == null ? void 0 : e.filter((u) => u.in === s)) ?? [];
    };
    return (s, e) => (i(), y(B, null, [
      m(o, {
        parameters: a("path"),
        schemas: s.schemas
      }, {
        title: t(() => e[0] || (e[0] = [
          r("Path Parameters")
        ])),
        _: 1
      }, 8, ["parameters", "schemas"]),
      m(o, {
        parameters: a("query"),
        schemas: s.schemas
      }, {
        title: t(() => e[1] || (e[1] = [
          r("Query Parameters")
        ])),
        _: 1
      }, 8, ["parameters", "schemas"]),
      m(o, {
        parameters: a("header"),
        schemas: s.schemas
      }, {
        title: t(() => e[2] || (e[2] = [
          r("Headers")
        ])),
        _: 1
      }, 8, ["parameters", "schemas"]),
      m(o, {
        parameters: a("cookie"),
        schemas: s.schemas
      }, {
        title: t(() => e[3] || (e[3] = [
          r("Cookies")
        ])),
        _: 1
      }, 8, ["parameters", "schemas"]),
      s.requestBody ? (i(), f(q, {
        key: 0,
        requestBody: s.requestBody,
        schemas: s.schemas,
        "onUpdate:modelValue": n
      }, {
        title: t(() => e[4] || (e[4] = [
          r("Body")
        ])),
        _: 1
      }, 8, ["requestBody", "schemas"])) : c("", !0)
    ], 64));
  }
});
export {
  C as default
};
